/*
@program   oslo-plaza-heis
@forfatter Kim Olsen <kim@pizslacker.org>
@endret    20140121-00:57-GMT+1
*/

#include <stdio.h>
#include <unistd.h>

int main()
{
    int destEtasje = 1; // Destinasjons-etasje.
    int denneEtasje = 1; // Nåværende etasje.
    int minEtasje = 1; // Første etasje.
    int maxEtasje = 37; // Siste etasje.

    char *pversjon = "1.0"; // Peker til program-versjon char-array.

    printf("Velkommen til Oslo Plaza heis v%s\n", pversjon); // Velkommen-beskjed + program-versjon.
    printf("\nVennligst oppgi din destinasjons-etasje (1-37):\n"); // Spør bruker om etasje-valg.
    scanf("%d", &destEtasje); // Leser inn brukervalgt etasje.

    if (destEtasje == denneEtasje)
    {
        puts("\nDu befinner deg på valgt etasje!");
        return 1;
    }
    if (destEtasje > maxEtasje)
    {
        puts("\nEtasjen finnes ikke!");
        return 1;
    }
    if (destEtasje < minEtasje)
    {
        puts("\nEtasjen finnes ikke!");
        return 1;
    }
    if (destEtasje < denneEtasje)
    {
        puts("\nKommer ikke lenger ned enn denne etasjen!");
        return 1;
    }

    printf("\n");
    while(denneEtasje < destEtasje)
        {
        denneEtasje++;
        sleep(1.3);
        printf(".\n");
        printf("Etasje %d\n", denneEtasje);
        }
    if (denneEtasje == destEtasje)
        {
        printf("\nDu befinner deg nå på etasje %d. Velkommen tilbake!\n", denneEtasje);
        return 0;
        }
}
